/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.annotated;

import java.util.ArrayList;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
public class Interceptions
{
   static ArrayList intercepted = new ArrayList();
   
   public static void add(String name)
   {
      System.out.println("Adding (b) " + name);
      intercepted.add(name);
   }
   
   public static ArrayList getIntercepted()
   {
      return intercepted;
   }
   
   public static void reset()
   {
      intercepted = new ArrayList();
   }
}
